Subject: Re: [lamps] New Version Notification for draft-ietf-lamps-cms-shakes-03.txt

From: Russ Housley <[email-masked]>
Date: Mon, 26 Nov 2018 13:14:12 -0500

A few minutes ago, I provided comments on the recent update to draft-ietf-lamps-pkix-shake.  The same comments seem relevant to this document as well, but the section numbers are somewhat different.

In addition, I just noticed that you are using the old boilerplate for RFC 2119.  The updated language is:

   The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
   "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and
   "OPTIONAL" in this document are to be interpreted as described in
   BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all
   capitals, as shown here.

Of course, this requires an additional normative reference to RFC 8174.

Russ

> From: [email-masked] <[email-masked]> 
> Sent: Sunday, November 25, 2018 11:49 PM
> To: Quynh Dang <[email-masked]>; Quynh Dang <[email-masked]>; Panos Kampanakis (pkampana) <[email-masked]>; [email-masked]
> Subject: New Version Notification for draft-ietf-lamps-cms-shakes-03.txt
> 
> 
> A new version of I-D, draft-ietf-lamps-cms-shakes-03.txt
> has been successfully submitted by Panos Kampanakis and posted to the IETF repository.
> 
> Name:		draft-ietf-lamps-cms-shakes
> Revision:	03
> Title:		Use of the SHAKE One-way Hash Functions in the Cryptographic Message Syntax (CMS)
> Document date:	2018-11-25
> Group:		lamps
> Pages:		15
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-lamps-cms-shakes-03.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-lamps-cms-shakes/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-lamps-cms-shakes-03
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-lamps-cms-shakes
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-cms-shakes-03
> 
> Abstract:
>   This document describes the conventions for using the SHAKE family of
>   hash functions with the Cryptographic Message Syntax (CMS) as one-way
>   hash functions with the RSA Probabilistic signature and ECDSA
>   signature algorithms, as message digests and message authentication
>   codes.  The conventions for the associated signer public keys in CMS
>   are also described.
> 
> Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>